import React, { useEffect } from "react"
import { Route, Routes } from "react-router-dom";

import './App.css';

import Login from "./pages/login/Login";
import ForgotPassword from "./pages/forgot-password/ForgotPassword";
import VerifyEmail from "./pages/forgot-password/VerifyEmail";
import ResetPassword from "./pages/forgot-password/ResetPassword";
import ThanksPage from "./pages/forgot-password/ThanksPage";
import Chat from "./pages/chat/Chat";
import Messages from "./pages/chat/Messages";


function App() {
  return (
    <div className='leagalAI-container'>
      <Routes>
        <Route path="/" element={<Login />} />
        <Route path="ForgotPassword" element={<ForgotPassword />} />
        <Route path="verify-email" element={<VerifyEmail />} />
        <Route path="reset-password" element={<ResetPassword />} />
        <Route path="password-reset-successfull" element={<ThanksPage />} />

        <Route path="chat-modal" element={<Chat />} />
        <Route path="messages" element={<Messages />} />

      </Routes>
    </div>
  );
}

export default App;
